Summary: Advanced Linux Sound Architecture (ALSA) drivers
Name: alsa-driver
%define kver 2.4.0
%define alsaver 0.5.10
Version: %{alsaver}_2.4.0
Release: 1
Group: Base/Kernel
Copyright: GPL
Url: http://www.alsa-project.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.alsa-project.org/pub/driver/alsa-driver-%{alsaver}.tar.bz2
BuildRoot: /var/tmp/%{name}-root
Requires: modutils >= 2.3.9

%description
Advanced Linux Sound Architecture (ALSA) drivers. Modularized
architecture with support for a large range of ISA and PCI cards. Fully
compatible with OSS/Lite (kernel sound drivers), but contains many
enhanced features.

This package requires kernel-%{kver}. Recompile it if you want to 
install it on a different kernel version.

THIS PACKAGE HAS ONLY DRIVER FOR ESS MAESTRO3 BUILD IN. RECOMPILE IT
IF YOU WANT SUPPORT FOR OTHER CARDS.


%prep
%setup -q -n %{name}-%{alsaver}


%build
./configure \
	--with-kernel=/home/kernel/BUILD/linux-%{kver} \
	--with-moddir=/lib/modules/%{kver}/alsa \
	--with-debug=none \
	--with-isapnp=no \
	--with-sequencer=yes \
	--with-oss=yes \
	--with-cards=share,maestro3
#make MAKE="make -j2"
make


%install
rm -rf $RPM_BUILD_ROOT

# We are better off manually implement "make install"
%define HEADERDIR /usr/src/linux-%{kver}/include/linux
%define MODULEDIR /lib/modules/%{kver}/alsa
%define SCRIPTDIR /etc/rc.d/init.d

mkdir -p $RPM_BUILD_ROOT/{%{HEADERDIR},%{MODULEDIR},%{SCRIPTDIR}}

install -m644 -p include/{asound.h,asoundid.h,asequencer.h,ainstr_*.h} \
	$RPM_BUILD_ROOT/%{HEADERDIR}
install -m644 -p modules/*.o $RPM_BUILD_ROOT/%{MODULEDIR}
install -m755 -p utils/alsasound $RPM_BUILD_ROOT/%{SCRIPTDIR}


%post
cat <<EOF
If this is your first time to install ALSA you need to do the
following manually before ALSA will work:

1. Run %{_docdir}/%{name}-%{version}/snddevices 
   to create sound devices under /dev, unless you have DEVFS
   support in the kernel.
2. Edit /etc/modules.conf.
3. Probe your sound card.
2. Run "/sbin/chkconfig --add alsasound" if everything works
   and you'd like ALSA to start automatically in future reboots.
   
Read %{_docdir}/%{name}-%{version}/INSTALL 
for more details.
EOF


%files
%defattr(-,root,root)
%doc COPYING FAQ INSTALL README WARNING doc/README.1st doc/SOUNDCARDS
%doc snddevices
#%{HEADERDIR}/*
%{MODULEDIR}/*
%{SCRIPTDIR}/*


%clean
rm -rf $RPM_BUILD_ROOT

